MV auf Ubuntu 20.04 Java 14 startet nicht



  • Hallo zusammen,

    ich habe MV aus den Ubuntu 20.04 Paketquellen installiert (13.2.1-3). Java von Oracle habe ich über PPA installiert:

    ich@lt002:~$ java -version
    java version "14.0.2" 2020-07-14
    Java(TM) SE Runtime Environment (build 14.0.2+12-46)
    Java HotSpot(TM) 64-Bit Server VM (build 14.0.2+12-46, mixed mode, sharing)
    

    Versuche ich das Programm zu starte kommt lediglich der Splas-Screen, also das Symbol. Dann passiert nichts mehr. Starte ich es über die Konsole erhalte ich:

    . Portable Mode: false
    . Proxy Authentication: not configured
    WARNING: An illegal reflective access operation has occurred
    WARNING: Illegal reflective access by mediathek.Main (file:/usr/share/mediathekview/MediathekView.jar) to field sun.awt.X11.XToolkit.awtAppClassName
    WARNING: Please consider reporting this to the maintainers of mediathek.Main
    WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
    WARNING: All illegal access operations will be denied in a future release
    Graphics Device initialization failed for :  es2, sw
    Error initializing QuantumRenderer: no suitable pipeline found
    java.lang.RuntimeException: java.lang.RuntimeException: Error initializing QuantumRenderer: no suitable pipeline found
    	at com.sun.javafx.tk.quantum.QuantumRenderer.getInstance(QuantumRenderer.java:280)
    	at com.sun.javafx.tk.quantum.QuantumToolkit.init(QuantumToolkit.java:222)
    	at com.sun.javafx.tk.Toolkit.getToolkit(Toolkit.java:260)
    	at javafx.animation.Animation.<init>(Animation.java:1028)
    	at javafx.animation.Transition.<init>(Transition.java:151)
    	at javafx.animation.PauseTransition.<init>(PauseTransition.java:142)
    	at mSearch.tool.ApplicationConfiguration$EvtListener.<init>(ApplicationConfiguration.java:83)
    	at mSearch.tool.ApplicationConfiguration.setupXmlConfiguration(ApplicationConfiguration.java:104)
    	at mSearch.tool.ApplicationConfiguration.<init>(ApplicationConfiguration.java:65)
    	at mSearch.tool.ApplicationConfiguration.<clinit>(ApplicationConfiguration.java:58)
    	at mediathek.MediathekGui.<init>(MediathekGui.java:1006)
    	at mediathek.Main.getPlatformWindow(Main.java:294)
    	at mediathek.Main.lambda$startGuiMode$0(Main.java:279)
    	at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:316)
    	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    	at java.base/java.security.AccessController.doPrivileged(AccessController.java:391)
    	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
    	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
    Caused by: java.lang.RuntimeException: Error initializing QuantumRenderer: no suitable pipeline found
    	at com.sun.javafx.tk.quantum.QuantumRenderer$PipelineRunnable.init(QuantumRenderer.java:94)
    	at com.sun.javafx.tk.quantum.QuantumRenderer$PipelineRunnable.run(QuantumRenderer.java:124)
    	at java.base/java.lang.Thread.run(Thread.java:832)
    Exception in thread "AWT-EventQueue-0" java.lang.ExceptionInInitializerError
    	at mediathek.MediathekGui.<init>(MediathekGui.java:1006)
    	at mediathek.Main.getPlatformWindow(Main.java:294)
    	at mediathek.Main.lambda$startGuiMode$0(Main.java:279)
    	at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:316)
    	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    	at java.base/java.security.AccessController.doPrivileged(AccessController.java:391)
    	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
    	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
    Caused by: java.lang.RuntimeException: No toolkit found
    	at com.sun.javafx.tk.Toolkit.getToolkit(Toolkit.java:272)
    	at javafx.animation.Animation.<init>(Animation.java:1028)
    	at javafx.animation.Transition.<init>(Transition.java:151)
    	at javafx.animation.PauseTransition.<init>(PauseTransition.java:142)
    	at mSearch.tool.ApplicationConfiguration$EvtListener.<init>(ApplicationConfiguration.java:83)
    	at mSearch.tool.ApplicationConfiguration.setupXmlConfiguration(ApplicationConfiguration.java:104)
    	at mSearch.tool.ApplicationConfiguration.<init>(ApplicationConfiguration.java:65)
    	at mSearch.tool.ApplicationConfiguration.<clinit>(ApplicationConfiguration.java:58)
    	... 16 more
    

    Hat jemand eine Idee woran es liegt?

    Viele Grüße
    pixel



  • Aktuelll ist MediathekView 13.5.1 - warum eine alte Version?

    MV 13.2.1 verlangte Java 8

    Meines Wissens kommt die Linux-Version von 13.5.1 auch mit einer passenden Java-Version. Für Ubuntu würde ich die Debian-Variante direkt runterladen.


  • Administrator

    Das PPA ist nicht von uns und wird nicht mehr gepflegt.


Log in to reply
 

41
Online

4.3k
Users

3.7k
Topics

24.1k
Posts